#ifndef GAMELOGIC_H
#define GAMELOGIC_H
#include "WordManager.h"
#include <set>
#include "PlayerInput.h" 
class GameLogic {
    WordManager wordManager;
    int attemptsLeft;
    std::set<char> usedLetters;

public:
    GameLogic();
    void startGame();
    void displayGameState() const;
    bool checkGameOver() const;
    bool checkWin() const;
};

#endif
